%define lcms2_major	2
%define libname		%mklibname lcms2_ %{lcms2_major}
%define devname		%mklibname -d lcms2

Name:		lcms2
Version:	2.7
Release:        %mkrel 1
Summary:	Color Management Engine
License:	MIT
Group:		Graphics
URL:		http://www.littlecms.com/
Source0:	http://www.littlecms.com/%{name}-%{version}.tar.xz
#----------------------------------
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: zlib-devel
#---------------------------------

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%files
%doc AUTHORS COPYING
%{_bindir}/jpgicc2
%{_bindir}/linkicc2
%{_bindir}/psicc2
%{_bindir}/tificc2
%{_bindir}/transicc2
%{_mandir}/man1/*

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Conflicts:	%{mklibname lcms2 2} < 2.2-1

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%{_libdir}/liblcms2.so.%{lcms2_major}*

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for LittleCMS
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 2.2-2

%description -n %{devname}
Development files for LittleCMS.

%files -n %{devname}
%doc doc/*.pdf
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--program-suffix=2

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make 

%install
rm -rf %buildroot
%makeinstall_std

# Remove .la files
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

install -D -m 644 include/lcms2.h %{buildroot}%{_includedir}/lcms2.h
install -D -m 644 include/lcms2_plugin.h %{buildroot}%{_includedir}/lcms2_plugin.h


%changelog
* Fri Nov 20 2015 bb <bb> 2.7-1pclos2015
- update

* Tue Oct 13 2015 bb <bb> 2.6-1pclos2015
- update needed for colord

* Fri Jan 24 2014 bb <bb> 2.5-1pclos2014
- update needed for ghostscript

* Sat May 18 2013 Texstar <texstar at gmail.com> 2.4-2pclos2013
- fix rpmgroup

